[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#513322: old debian package attempts

It was packaged before and as it has unfree parts it should go to non-free. 
Some small snippets from my conversations with João Luís Marques Pinto 

> Hi,
> I looked at your debian package for mupen64plus in debian mentors and 
> that you still Build-Depend on yasm. yasm isn't needed anymore and can be 
> removed. Instead you should maybe depend on libsamplerate-dev for best 
> SINC resampler in jttl_audio.
> A quick check with licensecheck also reveals that different licenses are 
> Try `find | xargs licensecheck |grep -v "GPL (v2 or later)"`for more 
> informations. Maybe http://wiki.debian.org/Proposals/CopyrightFormat could 
> help you when you specify all informations for the included libraries.
> $ lintian -I -E *.deb *.dsc
> Lintian will also bring some warnings: 
> I: mupen64plus source: debian-watch-file-is-missing
> W: mupen64plus: manpage-has-errors-from-man 
> usr/share/man/man1/mupen64plus.1.gz 48: warning: numeric expression expected 
> (got `r')
> I: mupen64plus: desktop-entry-contains-encoding-key 
> /usr/share/applications/mupen64plus.desktop:2 Encoding
> The watch file for example could look like this:
> version=3
> opts="versionmangle=s/-/./" 
> http://code.google.com/p/mupen64plus/downloads/list \
>      http://mupen64plus.googlecode.com/files/Mupen64Plus-(.*)-src\.zip

Robert Wohlrab

Reply to: